Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Libreoffice 4.4.0 installeren  (gelezen 1342 keer)

Offline Krekel

  • Lid
  • Steunpunt: Nee
Libreoffice 4.4.0 installeren
« Gepost op: 2015/01/31, 14:21:34 »
LibreOffice 4.4.0 is beschikbaar maar nog niet in het softwarebeheer. Kwestie van afwachten?
« Laatst bewerkt op: 2015/01/31, 14:24:21 door Krekel »

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #1 Gepost op: 2015/01/31, 14:44:32 »
Waarom wil je überhaupt die hogere versie? Wordt daarin een probleem opgelost dat je hebt met je huidige lagere versie?

Offline HarzG

  • Lid
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #2 Gepost op: 2015/01/31, 18:03:46 »
Daar zie je een lijst met versienummers van LibreOffice die bij je systeem passen.
In de documentatie staat een waarschuwing waarom je beter bij de aangeboden versies kan blijven die bij je systeem passen.
Xubuntu 16.04; siduction-15.1.0 Xfce

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #3 Gepost op: 2015/01/31, 19:07:24 »
Ik heb hem via de officiele Libreoffice PPA.

sudo add-apt-repository ppa:libreoffice/ppa
sudo apt-get update
sudo apt-get upgrade

Deze zal in de toekomst ook update naar versie 4.5 en hoger (indien toepasselijk). Wilt ge alleen de 4.4 serie, vervang dan de eerste regel door:
sudo add-apt-repository ppa:libreoffice/libreoffice-4-4

Offline Joris Donders

  • Lid
  • Steunpunt: Ja
Re: Libreoffice 4.4.0 installeren
« Reactie #4 Gepost op: 2015/01/31, 19:13:49 »
Het schijnt dat 4.4 wel een hoop bug fixes heeft gekregen tov de vorige (huidige) versies.
Ik heb ook ooit de ppa van LO gehad en daar nooit of nimmer problemen door gehad.

Persoonlijk MOET ik nu een zo goed mogelijk stabiel systeem hebben (ook voor LO) dus ik ga afwachten of die er niet gewoon doorkomt via de reguliere updates. Dus is stabiliteit en het compatibel zijn van LO met Unity, zou ik eerst even afwachten. Maakt dat allemaal niet echt iets uit, volg dan de instructies van Nunslaughter maar pak dan de eigenlijke PPA zodat je latere versies ook binnenkrijgt.

Het is allemaal af te wegen voor je begint. Maar zoals eerder gezegd; die PPA van LO geeft eigenlijk weinig problemen.
Gubuntu 17.04 wegens verdwijnen Unity binnenkort

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #5 Gepost op: 2015/01/31, 19:24:14 »
De PPA van Nunslaughter is riskanter dan de PPA van 4.4.... Dus weet waar je aan begint.

Zelf zou ik dat nooit doen, behalve als ik er een goede reden voor had. Nieuwe programmaversies herstellen oude bekende fouten, en introduceren nieuwe, onbekende fouten....

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #6 Gepost op: 2015/01/31, 20:32:14 »
Als je meent dat er een fout is opgelost waar je last van hebt of er is een functie bijgekomen die je écht nodig hebt, dan is de PPA van Nunslaughter die ie in de laatste zin vermeldt prima bruikbaar. Anders zou ik gewoon bij de door Ubuntu aangeboden versie blijven.

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #7 Gepost op: 2015/02/01, 00:46:44 »
We moeten ook niet paranoïde worden hier, hè. Als blijkt dat het niet werkt zoals verwacht, dan is het toch even snel terug verwijderd? Ontwikkelaars werken hard om ons nieuwe functies en bugfixes te brengen, laten we deze dan ook gebruiken. Toch zeker als het een meerwaarde is ten opzichte van de vorige versie.

Offline Krekel

  • Lid
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #8 Gepost op: 2015/02/01, 09:41:05 »
Waarom wil je überhaupt die hogere versie? Wordt daarin een probleem opgelost dat je hebt met je huidige lagere versie?

Gewoon uit nieuwsgierigheid naar de nieuwe versie, Ubuntu werkt perfect maar ik heb ook een paar andere distributies geïnstalleerd, niet omdat die een probleem oplosten die er misschien in Ubuntu zouden zitten. Gewoon, omdat het leuk is en uit nieuwsgierigheid naar de nieuwe versies. Ook omdat er niet voor niets een nieuwe versie wordt uitgegeven. Nieuwe versies bekijken kan toch ook gewoon leuk zijn?

Offline Krekel

  • Lid
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #9 Gepost op: 2015/02/01, 09:41:55 »
We moeten ook niet paranoïde worden hier, hè. Als blijkt dat het niet werkt zoals verwacht, dan is het toch even snel terug verwijderd? Ontwikkelaars werken hard om ons nieuwe functies en bugfixes te brengen, laten we deze dan ook gebruiken. Toch zeker als het een meerwaarde is ten opzichte van de vorige versie.

Helemaal mee eens!

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #10 Gepost op: 2015/02/01, 10:31:37 »
Klopt allemaal, maar ik kijk bij het schrijven van m'n reacties op dit forum, meestal met een schuin oog naar de vele meelezers. Die niet allemaal even behendig zijn, en die het meeste zijn gebaat bij het aanleren van "goed Linuxgebruik". Dat voorkomt een hoop ongewenste nevenschade.

Nunslaughter is een zeer ervaren Linuxgebruiker, die zichzelf makkelijk kan redden als hij ooit door experimenten in de problemen komt. Die heeft mijn advies natuurlijk echt niet nodig.  :)

Offline Krekel

  • Lid
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #11 Gepost op: 2015/02/01, 10:46:47 »
Klopt allemaal, maar ik kijk bij het schrijven van m'n reacties op dit forum, meestal met een schuin oog naar de vele meelezers. Die niet allemaal even behendig zijn, en die het meeste zijn gebaat bij het aanleren van "goed Linuxgebruik". Dat voorkomt een hoop ongewenste nevenschade.

Beste Pjotr,

Je hebt helemaal gelijk. Ik gebruik Ubuntu en Mint pas een paar maanden naar volle tevredenheid, zowel zakelijk als privé. Zakelijk laat ik m'n systemen met rust, geen nieuwe dingen uitproberen waar ik geen verstand van heb. Ik ben inmiddels zo enthousiast geworden van Ubuntu en Mint dat ik het leuk vind om te leren, nieuwe dingen uit te proberen en te experimenteren, dat doe ik op een aparte laptop. Zakelijk laat ik dat uit m'n hoofd en gebruik alleen de versies uit het standaard softwarebeheer. Ik maak regelmatig dankbaar gebruik van dit forum en jouw eigen website. Experimenteren op m'n laptop op een regenachtige zondagmorgen, kop koffie erbij en lekker rommelen... Heerlijk! ;-)

Groet,

Jaap
« Laatst bewerkt op: 2015/02/01, 10:50:16 door Krekel »

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #12 Gepost op: 2015/02/01, 10:53:44 »
Klinkt goed!  :)

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #13 Gepost op: 2015/02/01, 12:05:53 »
Tip aan Krekel: om te voorkomen dat wij op je inhaken met reacties in de trant van "if it ain't broken, don't fix it", zet er volgende keer in je openingspost even de reden bij waarom je een nieuwe versie wilt installeren ;)

Offline Krekel

  • Lid
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #14 Gepost op: 2015/02/01, 12:46:04 »
Tip aan Krekel: om te voorkomen dat wij op je inhaken met reacties in de trant van "if it ain't broken, don't fix it", zet er volgende keer in je openingspost even de reden bij waarom je een nieuwe versie wilt installeren ;)

Dank voor de tip! Zal ik doen!

Offline Marqeaux

  • Lid
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #15 Gepost op: 2015/02/01, 13:10:57 »
Hier op mijn testbak draait LibreOffice 4.4 goed, maar voor de minder ervaren gebruikers is het inderdaad beter om bij de meegeleverde LibreOffice te blijven. Mocht iemand toch besluiten om via de PPA van LibreOffice de nieuwste versie binnen te hengelen, wees je dan bewust dat het in sommige gevallen kan gebeuren dat de nieuwe versie conflicteert met de al aanwezige versie op je computer.

Mijn ervaring is dat binnen de puntreleases zelf het updaten niet zoveel problemen oplevert. Maar bij het wisselen van de puntversie (bijvoorbeeld van 4.3 naar 4.4, zoals nu het geval is) levert dit soms wèl problemen op. Zo had ik bij de puntversie van 4.2 naar 4.3 ineens een weerbarstige Base, die zich ineens niet meer liet installeren. Na een uitgebreide "goocheltruc" kwam dat uiteindelijk wel weer goed (ergens op dit forum had ik dat nog uitgelegd hoe je zoiets moest doen).

Gisteravond, na het verschijnen van LO 4.4 bij de updates, kreeg ik bij het installeren een fout over het pakket "python-uno", die weigerde de al bestaande versie te overschrijven. Na de reparatie van de daardoor gebroken pakket heb ik dit via Synaptic kunnen repareren en het  python-uno pakket van versie 4.4 alsnog kunnen installeren.

Dus inderdaad (en daar was iedereen het al over eens): als de standaardversie werkt op je dagelijks te gebruiken PC, blijf er dan verder vanaf. Maar voor het "leer- en ervaarmoment" kun je er rustig op los experimenteren als je een reservecomputer hebt staan waar je lekker op los kunt hobbyen. Leuk om te doen en nuttig om te leren. Zeker met een lekkere kop koffie erbij.  :)
« Laatst bewerkt op: 2015/02/01, 13:16:57 door Marqeaux »
I'm just a simple guy who uses open source software. What's your excuse?

Offline HarzG

  • Lid
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #16 Gepost op: 2015/02/01, 14:14:07 »
Er zijn (voor mij) 2 punten die het gebruik net even iets anders maken dan de versie 4.2.7 die bij de 14.04-LTS behoort.
  • Als je een nieuw document naast doc1 aanmaakt, ontbreekt het "sluiten document knopje" rechtsboven. Met Ctrl-W kan je het sluiten zonder via het menu te moeten gaan.
  • Voor de forumleden die Calc van LibreOffice 4.4 gebruiken, is er een verandering voor de liefhebbers van veel sheets/rekenbladen in een Calc-bestand. De schuifbalk om van rekenblad 1 naar rekenblad 27 te scrollen, is weg. Je komt nu via een rechter muisklik op de "pijltjes" bij de weergave van alle beschikbare rekenbladen van een document (zie bijlage).
Xubuntu 16.04; siduction-15.1.0 Xfce

Offline Marqeaux

  • Lid
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #17 Gepost op: 2015/02/05, 01:30:38 »
In LibreOffice 4.4.0 werken die pijltjes linksonder naast de tabbladen niet meer als je erop klikt. Ik vermoed een klein bugje die ze er nog uit moeten halen. Verder heb ik 'm al redelijk uitgebreid getest op het werk (Writer, Calc en Draw gebruik ik veel voor het maken van werkopdrachten), en dat ging op zich prima. De nieuwste versie bevalt me wel, en is onder Windows een stuk sneller geworden ten opzichte van de vorige versies. Vooral de opstart is een stuk sneller dan voorheen. :)

Ik heb nog een tip aan diegenen die bij de "oude" LO blijven, maar die wèl de laatste update van de Sifr-iconen willen: haal HIER de laatste Sifr iconenset binnen en bewaar het deb-bestandje in je homemap. Open vervolgens Synaptic en gebruik de zoekknop met de volgende zoekterm: "Sifr". Na de zoekactie zie je een aantal resultaten. Klik nu op "libreoffice-style-sifr". Daar staat ook de versie achter van de LibreOffice die op je systeem staat. Klik er met de rechter muisknop op en selecteer "markeer voor verwijdering". Druk op "toepassen", en de Sifr iconenset die bij de geïnstalleerde versie hoort wordt verwijderd. Dat wil je ook in dit geval, dus laat het gewoon gaan. Als Synaptic klaar is met deïnstalleren, sluit het programma daarna af.

Ga nu naar de zojuist gedownloade pakket met de nieuwste Sifr iconenset. Zorg eerst dat je de Gdebi-pakketinstalleerder hebt geïnstalleerd. Heb je dat nog niet gedaan, dan kun je dat ZO doen via de terminal (snelste manier):

sudo apt-get install gdebi
Staat de Gdebi-pakketinstalleerder op je systeem, dubbelklik dan op het binnengekomen bestandje, en laat Gdebi het pakket installeren. Zodra deze klaar is heb je de nieuwste en meest volledige Sifr iconenset op je "oude" LibreOffice.

De Sifr iconenset was inderdaad al aanwezig op de oudere versies, maar deze waren bij lange ná nog niet volledig. En ook al is de allernieuwste op onderdelen ook nog niet helemaal volledig, het zijn er in ieder geval aanzienlijk méér dan het ooit was.

Dit is geen noodzakelijke ingreep, dus je hoeft het niet persé te doen. Maar als je een strak uiterlijk mooi vindt binnen LibreOffice, dan kun je het zeker overwegen. ;)
« Laatst bewerkt op: 2015/02/05, 01:51:29 door Marqeaux »
I'm just a simple guy who uses open source software. What's your excuse?

Offline HarzG

  • Lid
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #18 Gepost op: 2015/02/07, 14:03:50 »
In LibreOffice 4.4.0 werken die pijltjes linksonder naast de tabbladen niet meer als je erop klikt. Ik vermoed een klein bugje die ze er nog uit moeten halen.
In de versie 4.4.0~rc3-0ubuntu1~trusty1 (=4.4.0.3) werken bij mij de pijltjes prima.

Een vreemde reactie zag ik vandaag nog bij het importeren van een csv-bestand in Calc. Ik moest daar even de codeset op UTF-7 zetten, anders werden er vreemde codetekens getoond en kon geen tabel van de tekens worden gemakt. Mousepad toonde het csv-bestand zonder problemen. Na 1x sluiten en opnieuw importeren, was het weer gewoon te doen met de codeset UTF-8.
Ik heb geen idee waar dat aan lag.
Xubuntu 16.04; siduction-15.1.0 Xfce

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #19 Gepost op: 2015/02/07, 15:07:49 »
Krekel, volgens mij is je probleem inmiddels opgelost. Zou je het topic dan ook als dusdanig willen markeren? :) Dat doe je zo: https://forum.ubuntu-nl.org/index.php?topic=37125.0

Offline Krekel

  • Lid
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #20 Gepost op: 2015/02/07, 15:30:33 »
Krekel, volgens mij is je probleem inmiddels opgelost. Zou je het topic dan ook als dusdanig willen markeren? :) Dat doe je zo: https://forum.ubuntu-nl.org/index.php?topic=37125.0

Mijn probleem is inderdaad opgelost maar er kwamen nog meer vragen bij van anderen, vandaar...

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Libreoffice 4.4.0 installeren
« Reactie #21 Gepost op: 2015/02/07, 15:56:42 »
Daarom wachtte ik ook even met doorgeven hoe je het als opgelost markeert ;)